Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.export.naming
Class IdentityNamingStrategy

    java.lang.Object
      org.springframework.jmx.export.naming.IdentityNamingStrategy

All Implemented Interfaces:
  ObjectNamingStrategy

    public class IdentityNamingStrategy

extends java.lang.Object
implements ObjectNamingStrategy

An implementation of the `ObjectNamingStrategy` interface that creates a name based on the the identity of a given instance.

The resulting `ObjectName` will be in the form package:class=class name,hashCode=identity hash (in hex)

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller

Field Summary
`static java.lang.String` | `HASH_CODE_KEY`
`static java.lang.String` | `TYPE_KEY`

Constructor Summary
`IdentityNamingStrategy()`

Method Summary
`javax.management.ObjectName` | `getObjectName(java.lang.Object managedBean, java.lang.String beanKey)` Returns an instance of `ObjectName` based on the identity of the managed resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_KEY

    public static final java.lang.String TYPE_KEY

See Also:
  Constant Field Values

### HASH_CODE_KEY

    public static final java.lang.String HASH_CODE_KEY

See Also:
  Constant Field Values

Constructor Detail

### IdentityNamingStrategy

    public IdentityNamingStrategy()

Method Detail

### getObjectName

    public javax.management.ObjectName getObjectName(java.lang.Object managedBean,
                                                     java.lang.String beanKey)
                                              throws javax.management.MalformedObjectNameException

  Returns an instance of `ObjectName` based on the identity of the managed resource.

  Specified by:
    `getObjectName` in interface `ObjectNamingStrategy`
  Parameters:
    `managedBean` - the bean that will be exposed under the returned `ObjectName`
    `beanKey` - the key associated with this bean in the beans map passed to the `MBeanExporter`
  Returns:
    the `ObjectName` instance
  Throws:
    `javax.management.MalformedObjectNameException` - if the resulting `ObjectName` is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD